# Get an Item's Holders

Use this method to get the holders of items.&#x20;

### Usage in your script

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const response = await alturaItem.getHolders();

// customize options
const response = await alturaItem.getHolders({
  perPage: 20,
  page: 1,
  includeListed: false
});

const holders = response.holders;
```

{% endtab %}

{% tab title="TypeScript" %}

```typescript
const response: {holders: IAlturaUser[]} = await alturaItem.getHolders();

// customize options
const response: {holders: IAlturaUser[]} = await alturaItem.getHolders({
  perPage: 20,
  page: 1,
  includeListed: false
});

const holders = response.holders;
```

{% endtab %}
{% endtabs %}

### **Parameters**

<table><thead><tr><th width="193.33333333333331">Parameter</th><th width="122">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td>perPage</td><td>number</td><td><strong>Optional</strong></td><td>The number of users to return</td></tr><tr><td>page</td><td>number</td><td><strong>Optional</strong></td><td>The offset for returned items. Calculated as (page - 1) * perPage</td></tr><tr><td>includeListed</td><td></td><td><strong>Optional</strong></td><td>If user's who have their item listed should be included (listed NFTs are still owned by the user, however on the blockchain they are held by a marketplace smart contract)boolean</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/js-sdk-reference/get-methods/get-an-items-holders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
